﻿using ContactsApp.Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ContactsApp.Model
{
    public static class ContactsService
    {
        public static IContactsContext GetContacts()
        {
            var context = new ContactsContext();

            var contact = new Entities.Contact("Anna Nowak");
            contact.Emails.Add(new("ania.nowak@mini.com", EmailCategory.Work));
            contact.Emails.Add(new("test@gmail.com"));
            contact.Emails.Add(new("abc@qwerty.com"));
            context.Contacts.Add(contact);

            contact = new("Jan Kowalski", DateTimeOffset.Parse("1987-01-01"), Gender.Male, "https://robohash.org/a149aeb2190764b27596a40fb85afd28?set=set3&bgset=&size=100x100");
            contact.Emails.Add(new("jan.kowalski@mini.com", EmailCategory.Work));
            contact.Emails.Add(new("jankowalski@test.com", EmailCategory.Personal));
            contact.Emails.Add(new("jkowalski@mini.com", EmailCategory.Work));
            contact.Phones.Add(new("123 456 789", PhoneCategory.Mobile));
            contact.Phones.Add(new("111 222 333", PhoneCategory.Work));
            contact.Phones.Add(new("444 555 666", PhoneCategory.Other));
            contact.Addresses.Add(new("Warszawa", "Testowa", 321, 42, AddressCategory.Work));
            context.Contacts.Add(contact);

            contact = new("Carlos Alberto", DateTimeOffset.Parse("1985-01-01"), Gender.Other, "https://robohash.org/e7ff611b22c4ae3564ce52c4f896043b?set=set3&bgset=&size=100x100");
            contact.Phones.Add(new("223 445 667", PhoneCategory.Home));
            contact.Addresses.Add(new("Warszawa", "Hiszpańska", 12, 45, AddressCategory.Home));
            contact.Emails.Add(new("carlos.alberto@mini.com"));
            context.Contacts.Add(contact);

            return context;
        }
    }
}
