﻿using CommunityToolkit.Mvvm.ComponentModel;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ContactsApp.Model.Helpers
{
    public abstract class ObservableDataValidator : ObservableValidator, IDataErrorInfo
    {
        public string this[string columnName] => ErrorsFor(columnName);

        public string Error => ErrorsFor();

        private string ErrorsFor(string? property = null)
        {
            if (!HasErrors)
                return string.Empty;
            StringBuilder builder = new();
            foreach (var result in GetErrors(property))
            {
                builder.AppendLine(result.ErrorMessage);
            }
            return builder.ToString();
        }
    }
}
